Subject: RE: [Sipping] Re: draft-elwell-sipping-service-retargeting-00.txt

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Fri, 14 Oct 2005 18:43:05 -0400

An additional point below. 

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: Friday, October 14, 2005 6:22 PM
> To: Michael Hammer (mhammer); sipping
> Cc: Elwell, John
> Subject: RE: [Sipping] Re: 
> draft-elwell-sipping-service-retargeting-00.txt
> 
> Below...
> 
> > Are you saying that if History-Info is used and these headers are 
> > included in the Request URI, that the value contained in the 
> > "old-target=" parameter will not appear in the History-Info header? 
> > Does it require one more hop before this information is moved from 
> > R-URI to History-Info?  Perhaps I misunderstood the timing of the 
> > insertions.
> 
> No: if service retargeting is used, and History-Info is used, 
> the History-Info will record the service retarget as well.
> 
> That being said:
> 
> - They will not necessarily match. Most "retargets" in SIP
>   are 302 ("Moved"). It says nothing about the reason (Busy,
>   Always, etc.). 

I think it is possible to receive a 302 with Reason header saying 486.
Is it ambiguous as to whether 302, 486, or both should be indicated in
the H-I header?  

Is it clear in retargeting which would be used?

I would have thought that the VM service would be most concerned with
the last line of H-I only, since that would be the one that would be
equivalent to what is put in R-URI.  If the 302 v 486 business is
settled, then perhaps it would be the last non-3xx header that is of
interest.

Hopefully, no SBC will muck with either R-URI params or the H-I header.

Mike

[snip]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 14 Oct 2005 19:19:54 -0400

> Is it ambiguous as to whether 302, 486, or both should be indicated in

I think it is clear in the H-I draft that in this case 486 goes into the 
H-I.

> Hopefully, no SBC will muck with either R-URI params or the H-I header.

Right! When they think their purpose in life is to ensure that nobody 
knows the topology of the network???

	Paul